<?
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
	
global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings, $current_user, $app_list_strings;
	

require_once('modules/EcmDocumentCategories/EcmDocumentCategory.php');
require_once('modules/EcmDocumentCategories/Forms.php');
require_once ('include/time.php');
require_once('include/json_config.php');

$json_config = new json_config();
	
$focus = new EcmDocumentCategory();   

if(isset($_REQUEST['record']))$focus->retrieve($_REQUEST['record']);


require_once('include/MVC/View/SugarView.php');  




if(file_exists('modules/EcmDocumentCategories/views/view.detail.php')) {
	require_once('modules/EcmDocumentCategories/views/view.detail.php');
	$detail = new EcmDocumentCategory();
}
else{
	require_once('include/MVC/View/views/view.detail.php');
	$detail = new ViewDetail();  
}

global $app_list_strings;

$detail->bean = $focus;
$detail->module = 'EcmDocumentCategories';
$detail->ss = new Sugar_Smarty();

//show assigned file
if ($focus->assigned_file!="" && $focus->assigned_file) {
	$tmp = explode(".", $focus->assigned_file);
	if (end($tmp) == 'jpeg' || end($tmp) == 'jpg' || end($tmp) == 'png' || end($tmp) == 'bmp') 
		$af = '<img src="modules/EcmDocumentCategories/files/'.$focus->assigned_file.'"/>';
	else
		$af = '<a href="modules/EcmDocumentCategories/files/'.$focus->assigned_file.'" target="new">'.$focus->assigned_file.'</a>';
}

$detail->ss->assign("ASSIGNED_FILE", $af);

$detail->preDisplay();        
	
echo $detail->display();